#!/bin/bash

SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink
  DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
  SOURCE="$(readlink "$SOURCE")"
  [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE" # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
done
DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"

export SRM_PATH=$DIR/srmclient-2.6.28/usr/share/srm
export X509_CERT_DIR=$DIR/voms-clients/etc/certificates
export PATH=$DIR/srmclient-2.6.28/usr/bin:$DIR/voms-clients/bin:$PATH
