#!/bin/tcsh

set SOURCE=($_)
if ("$SOURCE" != "") then
    set DIR=`dirname "$SOURCE[2]"`
    set DIR=`cd $DIR; pwd`
else
    echo "This script must be sourced"
    exit 1
endif

rm -rf $DIR/voms-clients/etc/certificates
mkdir $DIR/voms-clients/etc/certificates
foreach link (`lynx -dump http://repository.egi.eu/sw/production/cas/1/current/tgz/ | grep -o 'http.*ca_.*tar.gz'`)
wget -P $DIR "$link"; 
end

foreach a (`ls -1 $DIR/*.tar.gz`) 
tar -zxvf $a -C $DIR
end

rm $DIR/*.tar.gz
cp $DIR/ca*/* $DIR/voms-clients/etc/certificates/
rm -rf $DIR/ca*

